<div class="form-inline">
  <div class="input-group">
    <span class="input-group-addon">
      {{label}}
    </span>
    <menu-button
      v-if="!isWs"
      label=""
      icon-class="fa-plus"
      btn-class="btn btn-default"
      class="input-group-btn"
      :items="wsAddItems"
      :disabled="data.global"
      ></menu-button>
    <span v-if="isWs" class="input-group-btn">
      <button
        @click="remove"
        class="btn btn-danger"
        >
        <i class="fa fa-remove"></i>
      </button>
    </span>
  </div>
  <button
    :class="{
      'btn': true,
      'btn-default': true,
      'disabled': valDef==def
    }"
    data-toggle="tooltip"
    data-placement="right"
    :title="def"
    @click="reset"
    >
    Set default
    </button>
  <input
    v-if="type=='text'"
    v-model="val"
    :placeholder="def"
    debounce="1500"
    type="text"
    class="form-control"
    :pattern="pattern"
    >
  <vs-radio-group
    v-if="type=='bool' || (type=='options' && data.flat && !data.multiple)"
    :value.sync="valDef"
    >
    <vs-radio-btn
      v-for="opt in optionsObj"
      :value="opt.value">
      {{opt.label}}
    </vs-radio-btn>
  </vs-radio-group>
  <vs-check-group
    v-if="type=='options' && data.flat && data.multiple"
    :value.sync="valDef"
    >
    <vs-check-btn
      v-for="opt in optionsObj"
      :value="opt.value">
      {{opt.label}}
    </vs-check-btn>
  </vs-check-group>
  <vs-select
    v-if="type=='options' && !data.flat"
    :value.sync="valDef"
    :options="optionsObj"
    :close-on-select="true"
    :multiple="!!data.multiple"
    class="vs-select"
    ></vs-select>
  <vs-slider
    v-if="type=='range'"
    :min="data.range[0]"
    :max="data.range[1]"
    :step="data.range[2]||(data.type=='float'?0.1:1)"
    :value.sync="valDef"
    ></vs-slider>
  <vs-colorpicker
    v-if="type=='color'"
    :value.sync="valDef"
    selfcontain
    ></vs-colorpicker>
</div>
